/*
 * @(#)EnforcementException.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso.authority;

/**
 * ポリシー実行点で発生する例外クラス。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/04/17 19:59:52 $
 */
public class EnforcementException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -9049253414044371216L;

	/**
	 * コンストラクタ。
	 * 
	 */
	public EnforcementException() {
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 */
	public EnforcementException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param cause 原因
	 */
	public EnforcementException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public EnforcementException(String message, Throwable cause) {
		super(message, cause);
	}

}
